| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
packing.hpp File Reference

Core features More...

Go to the source code of this file.

## Functions
GLM_FUNC_DECL double | packDouble2x32 (uvec2 const &v)
| Returns a double-qualifier value obtained by packing the components of v into a 64-bit value. More...
GLM_FUNC_DECL uint | packHalf2x16 (vec2 const &v)
| Returns an unsigned integer obtained by converting the components of a two-component floating-point vector to the 16-bit floating-point representation found in the OpenGL Specification, and then packing these two 16- bit integers into a 32-bit unsigned integer. More...
GLM_FUNC_DECL uint | packSnorm2x16 (vec2 const &v)
| First, converts each component of the normalized floating-point value v into 8- or 16-bit integer values. More...
GLM_FUNC_DECL uint | packSnorm4x8 (vec4 const &v)
| First, converts each component of the normalized floating-point value v into 8- or 16-bit integer values. More...
GLM_FUNC_DECL uint | packUnorm2x16 (vec2 const &v)
| First, converts each component of the normalized floating-point value v into 8- or 16-bit integer values. More...
GLM_FUNC_DECL uint | packUnorm4x8 (vec4 const &v)
| First, converts each component of the normalized floating-point value v into 8- or 16-bit integer values. More...
GLM_FUNC_DECL uvec2 | unpackDouble2x32 (double v)
| Returns a two-component unsigned integer vector representation of v. More...
GLM_FUNC_DECL vec2 | unpackHalf2x16 (uint v)
| Returns a two-component floating-point vector with components obtained by unpacking a 32-bit unsigned integer into a pair of 16-bit values, interpreting those values as 16-bit floating-point numbers according to the OpenGL Specification, and converting them to 32-bit floating-point values. More...
GLM_FUNC_DECL vec2 | unpackSnorm2x16 (uint p)
| First, unpacks a single 32-bit unsigned integer p into a pair of 16-bit unsigned integers, four 8-bit unsigned integers, or four 8-bit signed integers. More...
GLM_FUNC_DECL vec4 | unpackSnorm4x8 (uint p)
| First, unpacks a single 32-bit unsigned integer p into a pair of 16-bit unsigned integers, four 8-bit unsigned integers, or four 8-bit signed integers. More...
GLM_FUNC_DECL vec2 | unpackUnorm2x16 (uint p)
| First, unpacks a single 32-bit unsigned integer p into a pair of 16-bit unsigned integers, four 8-bit unsigned integers, or four 8-bit signed integers. More...
GLM_FUNC_DECL vec4 | unpackUnorm4x8 (uint p)
| First, unpacks a single 32-bit unsigned integer p into a pair of 16-bit unsigned integers, four 8-bit unsigned integers, or four 8-bit signed integers. More...

## Detailed Description

Core features

See also
  GLSL 4.20.8 specification, section 8.4 Floating-Point Pack and Unpack Functions
  GLM_GTC_packing

Definition in file packing.hpp.